--- title: "getDatabase" slug: "analytics-datacatalog-database-getdatabase" tags: ["Data Catalog"] updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-datacatalog-database-getdatabase" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getDatabase Available in VPC Get database details. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/catalogs/{catalogId}/databases/{databaseName} | ### Request headers For information about the headers common to all Data Catalog APIs, see [Data Catalog request headers](/docs/en/analytics-datacatalog#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | Required | Catalog ID - See [getCatalogs](/docs/en/analytics-datacatalog-catalog-getcatalogs). | | `databaseName` | String | Required | Database name - See [getDatabases](/docs/en/analytics-datacatalog-database-getdatabases). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `includeTags` | Boolean | Required | Whether to include tags in the response - `true` \| `false` - `true`: include - `false`: not include | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datacatalog.apigw.ntruss.com/api/v1/catalogs/4**/databases/my_database?includeTags=true' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | - | Catalog ID | | `name` | String | - | Database name | | `databaseName` | String | - | Database name | | `description` | String | - | Database description | | `location` | String | - | Database location | | `tagKeyTypeValueList` | Array | - | Tag list: [tagKeyTypeValueList](/docs/en/analytics-datacatalog-database-getdatabase#tagKeyTypeValueList) - Displayed if `includeTags` is `true` | | `createTime` | String | - | Database creation date and time - ISO 8601 format | | `updateTime` | String | - | Database update date and time - ISO 8601 format | #### `tagKeyTypeValueList` The following describes `tagKeyTypeValueList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `tagKey` | String | - | Tag key | | `tagType` | String | - | Tag type | | `tagValue` | String | - | Tag value | | `tagTemplateTagId` | Integer | - | Tag ID - Unique tag numbers stored in tag template - If not saved in the tag template: `0` | ### Response status codes For response status codes common to all Data Catalog APIs, see [Data Catalog response status codes](/docs/en/analytics-datacatalog#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "catalogId": 4**, "name": "my_database", "databaseName": "my_database", "description": "my database", "location": "s3a://datacatalog-c***-e******f/my_database", "tagKeyTypeValueList": [ { "tagKey": "name", "tagType": "STRING", "tagValue": "name", "tagTemplateTagId": 464 } ], "createTime": "2025-03-17T16:30:08+0900", "updateTime": "2025-03-17T16:57:43+0900" } ```